define gr = "{color=#34DE00}"
define red = "{color=#f00}"
define blue = "{color=#3636FF}"
    
define mod = Character("Mod", color="#34DE00")
define mt = "{size=-4}"

default persistent.textbox_transparency = 0.5
default persistent.pref_text_size = gui.text_size
define gui.name_text_outlines = [ (2, "#000000F0", 1, 1) ]
define gui.dialogue_text_outlines = [ (2, "#000000F0", 1, 1) ]

default mod_nk_preg = None
default mod_d15s01_alt_scene = False
default mod_d15s04_all = False
default d15s07_alt = False
default d12s02_gavepass = False
default mod_quartet = False
default d15s04_quartet_prep = False
default d17s01_alt = False
default d17s05_all = False
default d17s05_mh_alt = False
default d17s06_all = False
default cage_both = False
default mod_temp = False
default darkest_fantasy_all = False

init 999:
    style choice_button:
        background None
        
    style choice_button_text:
        #font "DejaVuSans.ttf"
        idle_color "#FFF"
        hover_color "#FFF"
        insensitive_color "#808080FF"
        idle_outlines [ (absolute(5), "#FFF0", absolute(1), absolute(1)), (absolute(2), "#000", absolute(1), absolute(1)) ]
        hover_outlines [ (absolute(5), "#0F08", absolute(1), absolute(1)), (absolute(2), "#000", absolute(1), absolute(1)) ]
        insensitive_outlines [ (absolute(5), "#808080C0", absolute(1), absolute(1)), (absolute(2), "#000", absolute(1), absolute(1)) ]
    
    #########
    ## input prompt text style
    style input_prompt is default:
        color "#FFFFFF"
        outlines [ (absolute(2), "#000", absolute(1), absolute(1)) ]
    
    #########
    ## input text style
    style input:
        color "#FFFFFF"
        outlines [ (absolute(2), "#000", absolute(1), absolute(1)) ]

define 6 prologue_screen = (
("mcname"                           ,  None              , "__('Mike')"               , False ),
("mclogin"                          ,  None              , "__('Not_Mike')"           , False ),
("date_arj"                         ,  None              , "True"                     , False ),
("date_arj_romance"                 ,  None              , "False"                    , False ),
("date_arj_sexslave"                ,  None              , "False"                    , False ),
("date_mh_bdsm"                     ,  None              , "False"                    , False ),

("date_nk_preg"                     ,  None              , "False"                    , False ),
("pete_ntr"                         ,  "d10s03_pete_ntr" , "False"                    , False ),
("d12s02_gavepass"                  ,  None              , "False"                    , False ),
("d13s08_keep_shoe_cum"             ,  None              , "False"                    , False ),
("d14s16_love_lc"                   ,  None              , "False"                    , False ),
("d14s03_arj_kiss"                  ,  None              , "False"                    , False ),
("d14s19_everything"                ,  None              , "False"                    , False ),
("mod_nk_preg"                      ,  None              , "False"                    , False ), 
)

init 1 python:
    def prologue_set_girls(step, girl, connection):
        ## No incompatibility
        if step > 1:
            setattr(renpy.store, girl, not getattr(renpy.store, girl))
        # ## One Less
        elif getattr(renpy.store, girl):
            setattr(renpy.store, girl, False)
            if step == 0:
                setattr(renpy.store, connection, False)
        else:
            girls = prologue_get_girls(step)
            already_active = 0
            max_already_active = len(girls)
            for g in girls:
                already_active += int(getattr(renpy.store, g[0]))
            if already_active < max_already_active:
                setattr(renpy.store, girl, True)
            else:
                renpy.music.play(audio.error, "sound5", loop=False)
                if step == 0:
                    renpy.notify(_("You can only select two out of Min, Lyssa and Maria"))
                elif step == 1:
                    renpy.notify(_("You can only select one out of Daisy and Dahlia"))
